LibreOffice: XTransferable2 Interface Reference

LibreOffice LibreOffice 26.8 SDK API Reference

Loading...
Searching...
No Matches
XTransferable2 Interface Reference

`import "XTransferable2.idl";`

Inheritance diagram for XTransferable2:

## Public Member Functions
any | getTransferData2 ([in] DataFlavor aFlavor, [in] string aDestShellID) raises ( UnsupportedFlavorException, com::sun::star::io::IOException )
| This is equivalent of getTransferData of XTransferable, but takes an additional parameter that specifies the destination document type.
boolean | isComplex ()
| Returns true if the selection contains embedded objects or is a large text blob.
Public Member Functions inherited from XTransferable
any | getTransferData ([in] DataFlavor aFlavor) raises ( UnsupportedFlavorException, com::sun::star::io::IOException )
| Called by a data consumer to obtain data from the source in a specified format.
sequence< DataFlavor > | getTransferDataFlavors ()
| Returns a sequence of supported DataFlavor.
boolean | isDataFlavorSupported ([in] DataFlavor aFlavor)
| Checks if the data object supports the specified data flavor.
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.

## Member Function Documentation

## ◆ getTransferData2()

any getTransferData2 | ( | [in] DataFlavor | aFlavor,
|  | [in] string | aDestShellID )
raises | ( | UnsupportedFlavorException,
|  | com::sun::star::io::IOException ) |  |  |

This is equivalent of getTransferData of XTransferable, but takes an additional parameter that specifies the destination document type.

Parameters

  aFlavor | requested data format
  aDestShellID | destination document shell ID. The ID of each individual shell must be unique.

Returns
  data in specified data format.

Exceptions

  com::sun::star::io::IOException | if the data is no longer available in the requested flavor.
  com::sun::star::datatransfer::UnsupportedFlavorException | if the requested DataFlavor is not supported.

## ◆ isComplex()

boolean isComplex | ( |  | ) |

Returns true if the selection contains embedded objects or is a large text blob.

Since
  LibreOffice 6.4

The documentation for this interface was generated from the following file:

- com/sun/star/datatransfer/XTransferable2.idl